## org.eclipse.datatools.modelbase.sql.query
Interface TableExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, TableReference

All Known Subinterfaces:
  QueryCombined, QueryExpressionBody, QueryNested, QuerySelect, QueryValues, TableFunction, TableInDatabase, WithTableReference, XMLTableFunction

    public interface TableExpression

extends TableReference

A representation of the model object 'SQL Table Expression'.

The following features are supported:

- `Column List`
- `Table Correlation`
- `Result Table All Columns`
- `Value Expr Columns`
- `Merge Target Table`

See Also:
  `SQLQueryModelPackage.getTableExpression()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnList()` Returns the value of the 'Column List' containment reference list.
`MergeTargetTable` `getMergeTargetTable()` Returns the value of the 'Merge Target Table' container reference.
`org.eclipse.emf.common.util.EList` `getResultTableAllColumns()` Returns the value of the 'Result Table All Columns' reference list.
`TableCorrelation` `getTableCorrelation()` Returns the value of the 'Table Correlation' containment reference.
`org.eclipse.emf.common.util.EList` `getValueExprColumns()` Returns the value of the 'Value Expr Columns' reference list.
`void` `setMergeTargetTable(MergeTargetTable value)` Sets the value of the '`Merge Target Table`' container reference.
`void` `setTableCorrelation(TableCorrelation value)` Sets the value of the '`Table Correlation`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnList

    org.eclipse.emf.common.util.EList getColumnList()

  Returns the value of the 'Column List' containment reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Parent Table Expr`'.

  If the meaning of the 'Column List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ColumnList()`, `ValueExpressionColumn.getParentTableExpr()`

### getTableCorrelation

    TableCorrelation getTableCorrelation()

  Returns the value of the 'Table Correlation' containment reference. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Table Correlation' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Correlation' containment reference.
  See Also:
    `setTableCorrelation(TableCorrelation)`, `SQLQueryModelPackage.getTableExpression_TableCorrelation()`, `TableCorrelation.getTableExpr()`

### setTableCorrelation

    void setTableCorrelation(TableCorrelation value)

  Sets the value of the '`Table Correlation`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Correlation' containment reference.
  See Also:
    `getTableCorrelation()`

### getResultTableAllColumns

    org.eclipse.emf.common.util.EList getResultTableAllColumns()

  Returns the value of the 'Result Table All Columns' reference list. The list contents are of type `ResultTableAllColumns`. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Result Table All Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result Table All Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ResultTableAllColumns()`, `ResultTableAllColumns.getTableExpr()`

### getValueExprColumns

    org.eclipse.emf.common.util.EList getValueExprColumns()

  Returns the value of the 'Value Expr Columns' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Value Expr Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ValueExprColumns()`, `ValueExpressionColumn.getTableExpr()`

### getMergeTargetTable

    MergeTargetTable getMergeTargetTable()

  Returns the value of the 'Merge Target Table' container reference. It is bidirectional and its opposite is '`Table Expr`'.

  If the meaning of the 'Merge Target Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Target Table' container reference.
  See Also:
    `setMergeTargetTable(MergeTargetTable)`, `SQLQueryModelPackage.getTableExpression_MergeTargetTable()`, `MergeTargetTable.getTableExpr()`

### setMergeTargetTable

    void setMergeTargetTable(MergeTargetTable value)

  Sets the value of the '`Merge Target Table`' container reference.

  Parameters:
    `value` - the new value of the 'Merge Target Table' container reference.
  See Also:
    `getMergeTargetTable()`